Package com.smartgwt.client.types

# Enum RecategorizeMode

java.lang.Object
java.lang.Enum<RecategorizeMode>
com.smartgwt.client.types.RecategorizeMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RecategorizeMode>`, `Constable`

public enum RecategorizeMode extends Enum<RecategorizeMode> implements ValueEnum
Determines whether records are recategorized on databound componenty drop rather than just being added to the drop target. See `DataBoundComponent.dragRecategorize` and `TreeGridDrop`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Recategorize regardless of the source widget's `dragDataAction`.
  `CHECKED`
  (the default) Recategorize only when `dragDataAction` on the source of the drag is set to "move".
  `NEVER`
  Never recategorize.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RecategorizeMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecategorizeMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final RecategorizeMode ALWAYS
    Recategorize regardless of the source widget's `dragDataAction`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

  - ### CHECKED

    public static final RecategorizeMode CHECKED
    (the default) Recategorize only when `dragDataAction` on the source of the drag is set to "move".

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "checked".

  - ### NEVER

    public static final RecategorizeMode NEVER
    Never recategorize. Drops are always treated as adds.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

- ## Method Details

  - ### values

    public static RecategorizeMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecategorizeMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`